var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { useCallback } from 'react';
import { Input, Button, Space } from 'antd';
import { FolderOpenOutlined } from '@ant-design/icons';
import { SpaceCompactCSS, ButtonCSS } from './file-picker.style';
export const FilePicker = (_a) => {
    var { onChange = () => void 0, onOpen = () => void 0 } = _a, props = __rest(_a, ["onChange", "onOpen"]);
    const handleChange = useCallback((event) => onChange(event.target.value), [onChange]);
    return (_jsxs(Space.Compact, { css: SpaceCompactCSS, size: "small", children: [_jsx(Input, Object.assign({ onChange: handleChange }, props)), _jsx(Button, { css: ButtonCSS, icon: _jsx(FolderOpenOutlined, {}), onClick: onOpen })] }));
};
